Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.io.utils
Class HexCharset

    java.lang.Object
      java.nio.charset.Charset
          org.red5.io.utils.HexCharset

All Implemented Interfaces:
  Comparable<Charset>

    public class HexCharset

extends Charset

This was borrowed from the Soupdragon base64 library.

Author:
  paul.gregoire

Nested Class Summary
`class` | `HexCharset.Decoder`
`class` | `HexCharset.Encoder`

Constructor Summary
`HexCharset(boolean caps)`
`HexCharset(boolean caps, int measure)`

Method Summary
`boolean` | `contains(Charset cs)`
`CharsetDecoder` | `newDecoder()`
`CharsetEncoder` | `newEncoder()`

Methods inherited from class java.nio.charset.Charset
`aliases, availableCharsets, canEncode, compareTo, decode, defaultCharset, displayName, displayName, encode, encode, equals, forName, hashCode, isRegistered, isSupported, name, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HexCharset

    public HexCharset(boolean caps)

### HexCharset

    public HexCharset(boolean caps,
                      int measure)

Method Detail

### newEncoder

    public CharsetEncoder newEncoder()

  Specified by:
    `newEncoder` in class `Charset`

### newDecoder

    public CharsetDecoder newDecoder()

  Specified by:
    `newDecoder` in class `Charset`

### contains

    public boolean contains(Charset cs)

  Specified by:
    `contains` in class `Charset`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project